# value::holder< T > Class Template Reference

Inheritance diagram for value::holder< T >:

List of all members.

## Public Member Functions

| holder (const T &o)
| holder (const holder< T > &h)
virtual contentholder * | clone () const
virtual const std::type_info & | type () const
void * | operator new (unsigned int size)
void | operator delete (void *p)

## Public Attributes

T | obj

## Detailed Description

### template<typename T>
class value::holder< T >

Definition at line 132 of file _value.h.

## Constructor & Destructor Documentation

template<typename T>

value::holder< T >::holder | ( | const T & | o | ) | `[inline]`

Definition at line 139 of file _value.h.

Referenced by value::holder< T >::clone().

template<typename T>

value::holder< T >::holder | ( | const holder< T > & | h | ) | `[inline]`

Definition at line 144 of file _value.h.

## Member Function Documentation

template<typename T>

virtual contentholder* value::holder< T >::clone | ( |  | ) | const`[inline, virtual]`

Implements value::contentholder.

Definition at line 150 of file _value.h.

References value::holder< T >::holder().

template<typename T>

virtual const std::type_info& value::holder< T >::type | ( |  | ) | const`[inline, virtual]`

Implements value::contentholder.

Definition at line 155 of file _value.h.

template<typename T>

void* value::holder< T >::operator new | ( | unsigned int | size | ) | `[inline]`

Definition at line 161 of file _value.h.

template<typename T>

void value::holder< T >::operator delete | ( | void * | p | ) | `[inline]`

Definition at line 169 of file _value.h.

## Member Data Documentation

template<typename T>

T value::holder< T >::obj

Definition at line 135 of file _value.h.

The documentation for this class was generated from the following file:

- _value.h